Change User Role
curl --request PATCH \
--url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users/{userId}/role \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"roleId": "4ccf0b65-fb99-40da-92d6-3f98730df8b2"
}
'import requests
url = "https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users/{userId}/role"
payload = { "roleId": "4ccf0b65-fb99-40da-92d6-3f98730df8b2" }
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({roleId: '4ccf0b65-fb99-40da-92d6-3f98730df8b2'})
};
fetch('https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users/{userId}/role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"extra_meta": {
"message": "User's role updated!"
}
}Users
Change User Role
Updates the role of a user in the workspace. The new role is passed in the body (roleId), not in the path. isAdmin/isOwner on the membership are recomputed from the role’s type.
PATCH
/
api
/
v1
/
mgt
/
workspaces
/
{workspaceId}
/
users
/
{userId}
/
role
Change User Role
Authorizations
Client API key for authentication
Client secret for authentication
Path Parameters
The ID of the workspace
The ID of the user whose role is being updated
Body
application/json
The ID of the new role to assign to the user
Response
User role updated successfully
Show child attributes
Show child attributes